<?php

class formGuestbookmessage extends cmsForm {                 //задаем класс будущей формы. Название в виде formкомпонентназваниеформы из frontend.php (см. строку 32)

    public function init() {
        return array(
            array(

              'type' => 'fieldset',                         //набор полей формы
              'childs' => array(                            //перечисление полей

              	new fieldString('author_name', array(       //строковое author_name
                   'title' => 'Ваше имя',
                   'rules' => array(
                       array('required'),
                       array('max_length', 15),
                       array('min_length', 5)
                   )
               	)),

               	new fieldList('opinion', array(             //список opinion
                   'title' => 'Ваше мнение о сайте',
                   'items' => array(
                       -1 => 'Отрицательно',
                       0 => 'Нейтрально',
                       1 => 'Положительно'
                   )
               	)),

               	new fieldString('title', array(             //строковое title
                   'title' => 'Тема сообщения',
                   'rules' => array(
                       array('required'),
                       array('max_length', 30),
                       array('min_length', 5)
                   )
               	)),

               	new fieldText('content', array(              //текстовое content
                   'title' => 'Сообщение',
                   'rules' => array(
                       array('required'),
                       array('max_length', 100),
                       array('min_length', 5)
                   )
               	)),

              )

            )
        );
    }

}
